Request a Card Display Form

This method lets you create a PCI Booking Card Display form for displaying stored credit card data within an e-commerce site. Apply the method from the user's browser, typically in an iFrame "src" tag.
We recommend that you first review the guide for this method.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The response of calling this method is the HTML content of the Card Capture Form itself (Click here for an example of the content). You can use the request URL either as the page URL that a customer is directed to or as the source URL of an iframe element on your page.

📘

Access Token Vs. Session Token

Between the two options of using the Access Token or the Session Token, we would recommend using the Access Token.

📘

Multiple Authentication Methods allowed

This method accepts multiple forms of authentication methods (Session Token and Access Token). If more than one authentication method is provided, the Session Token will take precedence.

📘

Using Access Tokens

If you choose to use an access token for authentication, you would need to provide a second access token in the accessToken2 parameter in situations that the card includes a CVV.
The second access token will be used for the "Clear CVV" method, since PCI Booking will automatically delete the CVV after first display.

Path Params
string
required

The token ID as returned by one of the tokenization methods.

Query Params
string

Optional authentication method. Please use either the Session Token or the Access Token. The session token is the value returned by the call to the "Start a Temporary Session" method.

string

Optional authentication method. Please use either the Session Token or the Access Token. The Access Token is generated as a result of running the "Generate Access Token" code sample.

string

Optional authentication method. Please use either the Session Token or the Access Token. The Access Token is generated as a result of running the "Generate Access Token" code sample. This second access token will be used for the "Clear CVV" method.

string
required

The form's language in ISO 639-1 (2-letter) format - see here. If an unsupported language is received, English will be displayed. Adding languages is simple - simply contact our support team.

string

The CSS resource name. Please follow our guide on managing stylesheets. If no CSS is provided, PCI Booking will implement the default CSS.

string

An optional value to provide the domain name of the host site where the iframe is displayed in. Read more on how to set up the postMessage mechanism

boolean

true/false Indication whether to display card number in blocks of digits or a single string of numbers.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain